# Cinder

# cinder::math< T > Struct Template Reference

`#include <CinderMath.h>`

List of all members.

## Static Public Member Functions
static T | acos (T x)
static T | asin (T x)
static T | atan (T x)
static T | atan2 (T x, T y)
static T | cos (T x)
static T | sin (T x)
static T | tan (T x)
static T | cosh (T x)
static T | sinh (T x)
static T | tanh (T x)
static T | exp (T x)
static T | log (T x)
static T | log10 (T x)
static T | modf (T x, T *iptr)
static T | pow (T x, T y)
static T | sqrt (T x)
static T | ceil (T x)
static T | abs (T x)
static T | floor (T x)
static T | fmod (T x, T y)
static T | hypot (T x, T y)
static T | signum (T x)
static T | min (T x, T y)
static T | max (T x, T y)
static T | clamp (T x, T min=0, T max=1)

### template<typename T>
struct cinder::math< T >

## Member Function Documentation

template<typename T>

static T cinder::math< T >::acos | ( | T | x | ) | `[static]`

template<typename T>

static T cinder::math< T >::asin | ( | T | x | ) | `[static]`

template<typename T>

static T cinder::math< T >::atan | ( | T | x | ) | `[static]`

template<typename T>

static T cinder::math< T >::atan2 | ( | T | x,
|  | T | y |
| ) |  |  | `[static]`

template<typename T>

static T cinder::math< T >::cos | ( | T | x | ) | `[static]`

template<typename T>

static T cinder::math< T >::sin | ( | T | x | ) | `[static]`

template<typename T>

static T cinder::math< T >::tan | ( | T | x | ) | `[static]`

template<typename T>

static T cinder::math< T >::cosh | ( | T | x | ) | `[static]`

template<typename T>

static T cinder::math< T >::sinh | ( | T | x | ) | `[static]`

template<typename T>

static T cinder::math< T >::tanh | ( | T | x | ) | `[static]`

template<typename T>

static T cinder::math< T >::exp | ( | T | x | ) | `[static]`

template<typename T>

static T cinder::math< T >::log | ( | T | x | ) | `[static]`

template<typename T>

static T cinder::math< T >::log10 | ( | T | x | ) | `[static]`

template<typename T>

static T cinder::math< T >::modf | ( | T | x,
|  | T * | iptr |
| ) |  |  | `[static]`

template<typename T>

static T cinder::math< T >::pow | ( | T | x,
|  | T | y |
| ) |  |  | `[static]`

template<typename T>

static T cinder::math< T >::sqrt | ( | T | x | ) | `[static]`

template<typename T>

static T cinder::math< T >::ceil | ( | T | x | ) | `[static]`

template<typename T>

static T cinder::math< T >::abs | ( | T | x | ) | `[static]`

template<typename T>

static T cinder::math< T >::floor | ( | T | x | ) | `[static]`

template<typename T>

static T cinder::math< T >::fmod | ( | T | x,
|  | T | y |
| ) |  |  | `[static]`

template<typename T>

static T cinder::math< T >::hypot | ( | T | x,
|  | T | y |
| ) |  |  | `[static]`

template<typename T>

static T cinder::math< T >::signum | ( | T | x | ) | `[static]`

template<typename T>

static T cinder::math< T >::min | ( | T | x,
|  | T | y |
| ) |  |  | `[static]`

template<typename T>

static T cinder::math< T >::max | ( | T | x,
|  | T | y |
| ) |  |  | `[static]`

template<typename T>

static T cinder::math< T >::clamp | ( | T | x,
|  | T | min = `0`,
|  | T | max = `1` |
| ) |  |  | `[static]`

The documentation for this struct was generated from the following file:

- include/cinder/CinderMath.h